# $Revision: 1.23 $, $Date: 2010/08/20 13:01:50 $
%include	/usr/lib/rpm/macros.php
%define		_class		Math
%define		_subclass	Basex
%define		_status		beta

%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_class}_%{_subclass} - Base X conversion class
Summary(pl.UTF-8):	%{_class}_%{_subclass} - klasa konwersji między systemami liczenia Base X
Name:		php-pear-%{_pearname}
Version:	0.3.1
Release:	1
Epoch:		0
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	80d0ba3e86fd857e281a474727dd00c3
URL:		http://pear.php.net/package/Math_Basex/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple class for converting base set of numbers with a customize
character base set.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Prosta klasa do konwersji liczb między różnymi systemami liczenia z
konfigurowalnym zestawem cyfr.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Math_Basex.spec,v $
Revision 1.23  2010/08/20 13:01:50  glen
- updated to: 0.3.1

Revision 1.22  2008/01/31 12:17:19  glen
- rel 5

Revision 1.21  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.19  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.18  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.17  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.16  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.15  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.14  2005/10/27 18:48:57  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.13  2005/10/05 20:59:31  glen
- rel 3

Revision 1.12  2005/09/28 21:33:15  glen
- new pear packaging

Revision 1.11  2004/12/03 22:22:53  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.10  2004/05/30 13:13:50  adamg
- fixed english information about status of the package

Revision 1.9  2003/10/07 20:55:15  adamg
- do not use macros in URL

Revision 1.8  2003/10/03 20:49:06  adamg
- updated to 0.3
- status changed to beta
- small fix in %doc

Revision 1.7  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.6  2003/06/14 09:23:39  adamg
- cosmetics

Revision 1.5  2003/05/28 08:58:40  adamg
- massive attack: added source0-md5

Revision 1.4  2003/05/25 06:25:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/01/01 22:42:33  blues
- 0.2 - fixes for various platforms (max count in various types)

Revision 1.2  2002/12/15 12:10:25  qboosh
- pl description

Revision 1.1  2002/12/12 20:11:16  blues
- initial release - stable status
